import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'oilCardRecordSourceType'
})
export class OilCardRecordSourceTypePipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '充值金额';
      case 2:
        return '订单消费';
      case 3:
        return '订单退款';
      case 4:
        return '回收余额';
    }
  }

}
